"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _reactTypography = require("react-typography");

var _typography = _interopRequireDefault(require("./.cache/typography"));

exports.onRenderBody = function (_ref, pluginOptions) {
  var setHeadComponents = _ref.setHeadComponents;

  if (process.env.BUILD_STAGE === "build-html") {
    var googleFont = [].concat(pluginOptions.omitGoogleFont ? [] : _react["default"].createElement(_reactTypography.GoogleFont, {
      key: "GoogleFont",
      typography: _typography["default"]
    }));
    setHeadComponents([_react["default"].createElement(_reactTypography.TypographyStyle, {
      key: "TypographyStyle",
      typography: _typography["default"]
    })].concat(googleFont));
  }
}; // Move Typography.js styles to the top of the head section so they're loaded first
// and don't accidentally overwrite other styles. Typography.js is meant to
// be a configurable CSS reset so should always load first.


exports.onPreRenderHTML = function (_ref2) {
  var getHeadComponents = _ref2.getHeadComponents,
      replaceHeadComponents = _ref2.replaceHeadComponents;
  var headComponents = getHeadComponents();
  headComponents.sort(function (x, y) {
    if (x && x.key === "TypographyStyle") {
      return -1;
    } else if (y && y.key === "TypographyStyle") {
      return 1;
    }

    return 0;
  });
  replaceHeadComponents(headComponents);
};